View Issue Details

IDProjectCategoryView StatusLast Update
0004966Talerwallet (WebExtensions)public2017-10-18 15:42
ReporterChristian GrothoffAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0004966: wallet needs to enable customer to deposit his coins back into his bank account
DescriptionBasically, the wallet needs to act like a merchant creating a contract to "pay to self" and execute the deposit with the exchange.

For this, there should be a button (likely in next to the balance) in the UI to trigger this operation. The user should be asked the amount he wants to deposit, and been given the applicable fees. The bank account information for this can just be taken from the reserve creation (when the bank should have told us about our own bank account routing details, right?).

The point in this is that a user may want to stop using Taler (oh, shock!), or may need the money unexpectedly again in his bank account, and we need to make it easy to take the money back _out_ of the wallet (and obviously we cannot expect a customer to run his own merchant shop web site for this).

Extra fun bonus: naturally the wallet needs to handle all the usual errors and keep the cryptographic proofs, track the result in the transaction history, etc.
TagsNo tags attached.

Activities

Christian Grothoff

2017-03-20 04:25

manager   ~0011955

We _may_ choose to allow payments to arbitrary bank account (i.e. support payto:// here, and just make it _easy_ to pay into our own account).

Florian Dold

2017-08-14 11:22

manager   ~0012375

Implemented in d5bba630a.

It's only possible to wire funds back to a bank account used for withdrawal. Adding completely new wire information is tracked in 0005118

Issue History

Date Modified Username Field Change
2017-03-20 04:23 Christian Grothoff New Issue
2017-03-20 04:23 Christian Grothoff Status new => assigned
2017-03-20 04:23 Christian Grothoff Assigned To => Florian Dold
2017-03-20 04:24 Christian Grothoff Summary wallet needs to enable sending funds back to customer's bank account => wallet needs to enable customer to deposit his coins back into his bank account
2017-03-20 04:24 Christian Grothoff Description Updated View Revisions
2017-03-20 04:25 Christian Grothoff Note Added: 0011955
2017-08-14 11:22 Florian Dold Status assigned => resolved
2017-08-14 11:22 Florian Dold Resolution open => fixed
2017-08-14 11:22 Florian Dold Note Added: 0012375
2017-10-11 14:13 Christian Grothoff Fixed in Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed